package de.humance.eco.profile.service.base;

import com.liferay.portal.kernel.bean.BeanReference;
import com.liferay.portal.kernel.bean.IdentifiableBean;
import com.liferay.portal.kernel.dao.jdbc.SqlUpdate;
import com.liferay.portal.kernel.dao.jdbc.SqlUpdateFactoryUtil;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.dao.orm.DynamicQueryFactoryUtil;
import com.liferay.portal.kernel.dao.orm.Projection;
import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.search.Indexable;
import com.liferay.portal.kernel.search.IndexableType;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.model.PersistedModel;
import com.liferay.portal.service.BaseLocalServiceImpl;
import com.liferay.portal.service.PersistedModelLocalServiceRegistryUtil;
import com.liferay.portal.service.persistence.UserPersistence;

import de.humance.eco.profile.model.Trailer;
import de.humance.eco.profile.service.TrailerLocalService;
import de.humance.eco.profile.service.persistence.QualificationAttributeDefinitionPersistence;
import de.humance.eco.profile.service.persistence.QualificationAttributeDefinitionResourcePersistence;
import de.humance.eco.profile.service.persistence.QualificationAttributePersistence;
import de.humance.eco.profile.service.persistence.QualificationPersistence;
import de.humance.eco.profile.service.persistence.QualificationTypePersistence;
import de.humance.eco.profile.service.persistence.QualificationTypeResourcePersistence;
import de.humance.eco.profile.service.persistence.TrailerPersistence;
import de.humance.eco.profile.service.persistence.TrailerTypePersistence;
import de.humance.eco.profile.service.persistence.TrailerUserPersistence;
import de.humance.eco.profile.service.persistence.VehicleAttributeDefinitionPersistence;
import de.humance.eco.profile.service.persistence.VehicleAttributeDefinitionResourcePersistence;
import de.humance.eco.profile.service.persistence.VehicleAttributePersistence;
import de.humance.eco.profile.service.persistence.VehicleManufacturerPersistence;
import de.humance.eco.profile.service.persistence.VehiclePersistence;
import de.humance.eco.profile.service.persistence.VehicleTypePersistence;
import de.humance.eco.profile.service.persistence.VehicleTypeResourcePersistence;
import de.humance.eco.profile.service.persistence.VehicleUserPersistence;

import java.io.Serializable;

import java.util.List;

import javax.sql.DataSource;

/**
 * Provides the base implementation for the trailer local service.
 *
 * <p>
 * This implementation exists only as a container for the default service methods generated by ServiceBuilder. All custom service methods should be put in {@link de.humance.eco.profile.service.impl.TrailerLocalServiceImpl}.
 * </p>
 *
 * @author Humance
 * @see de.humance.eco.profile.service.impl.TrailerLocalServiceImpl
 * @see de.humance.eco.profile.service.TrailerLocalServiceUtil
 * @generated
 */
public abstract class TrailerLocalServiceBaseImpl extends BaseLocalServiceImpl
    implements TrailerLocalService, IdentifiableBean {
    @BeanReference(type = de.humance.eco.profile.service.QualificationLocalService.class)
    protected de.humance.eco.profile.service.QualificationLocalService qualificationLocalService;
    @BeanReference(type = QualificationPersistence.class)
    protected QualificationPersistence qualificationPersistence;
    @BeanReference(type = de.humance.eco.profile.service.QualificationAttributeLocalService.class)
    protected de.humance.eco.profile.service.QualificationAttributeLocalService qualificationAttributeLocalService;
    @BeanReference(type = QualificationAttributePersistence.class)
    protected QualificationAttributePersistence qualificationAttributePersistence;
    @BeanReference(type = de.humance.eco.profile.service.QualificationAttributeDefinitionLocalService.class)
    protected de.humance.eco.profile.service.QualificationAttributeDefinitionLocalService qualificationAttributeDefinitionLocalService;
    @BeanReference(type = QualificationAttributeDefinitionPersistence.class)
    protected QualificationAttributeDefinitionPersistence qualificationAttributeDefinitionPersistence;
    @BeanReference(type = de.humance.eco.profile.service.QualificationAttributeDefinitionResourceLocalService.class)
    protected de.humance.eco.profile.service.QualificationAttributeDefinitionResourceLocalService qualificationAttributeDefinitionResourceLocalService;
    @BeanReference(type = QualificationAttributeDefinitionResourcePersistence.class)
    protected QualificationAttributeDefinitionResourcePersistence qualificationAttributeDefinitionResourcePersistence;
    @BeanReference(type = de.humance.eco.profile.service.QualificationTypeLocalService.class)
    protected de.humance.eco.profile.service.QualificationTypeLocalService qualificationTypeLocalService;
    @BeanReference(type = QualificationTypePersistence.class)
    protected QualificationTypePersistence qualificationTypePersistence;
    @BeanReference(type = de.humance.eco.profile.service.QualificationTypeResourceLocalService.class)
    protected de.humance.eco.profile.service.QualificationTypeResourceLocalService qualificationTypeResourceLocalService;
    @BeanReference(type = QualificationTypeResourcePersistence.class)
    protected QualificationTypeResourcePersistence qualificationTypeResourcePersistence;
    @BeanReference(type = de.humance.eco.profile.service.TrailerLocalService.class)
    protected de.humance.eco.profile.service.TrailerLocalService trailerLocalService;
    @BeanReference(type = TrailerPersistence.class)
    protected TrailerPersistence trailerPersistence;
    @BeanReference(type = de.humance.eco.profile.service.TrailerTypeLocalService.class)
    protected de.humance.eco.profile.service.TrailerTypeLocalService trailerTypeLocalService;
    @BeanReference(type = TrailerTypePersistence.class)
    protected TrailerTypePersistence trailerTypePersistence;
    @BeanReference(type = de.humance.eco.profile.service.TrailerUserLocalService.class)
    protected de.humance.eco.profile.service.TrailerUserLocalService trailerUserLocalService;
    @BeanReference(type = TrailerUserPersistence.class)
    protected TrailerUserPersistence trailerUserPersistence;
    @BeanReference(type = de.humance.eco.profile.service.VehicleLocalService.class)
    protected de.humance.eco.profile.service.VehicleLocalService vehicleLocalService;
    @BeanReference(type = VehiclePersistence.class)
    protected VehiclePersistence vehiclePersistence;
    @BeanReference(type = de.humance.eco.profile.service.VehicleAttributeLocalService.class)
    protected de.humance.eco.profile.service.VehicleAttributeLocalService vehicleAttributeLocalService;
    @BeanReference(type = VehicleAttributePersistence.class)
    protected VehicleAttributePersistence vehicleAttributePersistence;
    @BeanReference(type = de.humance.eco.profile.service.VehicleAttributeDefinitionLocalService.class)
    protected de.humance.eco.profile.service.VehicleAttributeDefinitionLocalService vehicleAttributeDefinitionLocalService;
    @BeanReference(type = VehicleAttributeDefinitionPersistence.class)
    protected VehicleAttributeDefinitionPersistence vehicleAttributeDefinitionPersistence;
    @BeanReference(type = de.humance.eco.profile.service.VehicleAttributeDefinitionResourceLocalService.class)
    protected de.humance.eco.profile.service.VehicleAttributeDefinitionResourceLocalService vehicleAttributeDefinitionResourceLocalService;
    @BeanReference(type = VehicleAttributeDefinitionResourcePersistence.class)
    protected VehicleAttributeDefinitionResourcePersistence vehicleAttributeDefinitionResourcePersistence;
    @BeanReference(type = de.humance.eco.profile.service.VehicleManufacturerLocalService.class)
    protected de.humance.eco.profile.service.VehicleManufacturerLocalService vehicleManufacturerLocalService;
    @BeanReference(type = VehicleManufacturerPersistence.class)
    protected VehicleManufacturerPersistence vehicleManufacturerPersistence;
    @BeanReference(type = de.humance.eco.profile.service.VehicleTypeLocalService.class)
    protected de.humance.eco.profile.service.VehicleTypeLocalService vehicleTypeLocalService;
    @BeanReference(type = VehicleTypePersistence.class)
    protected VehicleTypePersistence vehicleTypePersistence;
    @BeanReference(type = de.humance.eco.profile.service.VehicleTypeResourceLocalService.class)
    protected de.humance.eco.profile.service.VehicleTypeResourceLocalService vehicleTypeResourceLocalService;
    @BeanReference(type = VehicleTypeResourcePersistence.class)
    protected VehicleTypeResourcePersistence vehicleTypeResourcePersistence;
    @BeanReference(type = de.humance.eco.profile.service.VehicleUserLocalService.class)
    protected de.humance.eco.profile.service.VehicleUserLocalService vehicleUserLocalService;
    @BeanReference(type = VehicleUserPersistence.class)
    protected VehicleUserPersistence vehicleUserPersistence;
    @BeanReference(type = com.liferay.counter.service.CounterLocalService.class)
    protected com.liferay.counter.service.CounterLocalService counterLocalService;
    @BeanReference(type = com.liferay.portal.service.ResourceLocalService.class)
    protected com.liferay.portal.service.ResourceLocalService resourceLocalService;
    @BeanReference(type = com.liferay.portal.service.UserLocalService.class)
    protected com.liferay.portal.service.UserLocalService userLocalService;
    @BeanReference(type = com.liferay.portal.service.UserService.class)
    protected com.liferay.portal.service.UserService userService;
    @BeanReference(type = UserPersistence.class)
    protected UserPersistence userPersistence;
    private String _beanIdentifier;
    private ClassLoader _classLoader;
    private TrailerLocalServiceClpInvoker _clpInvoker = new TrailerLocalServiceClpInvoker();

    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. Always use {@link de.humance.eco.profile.service.TrailerLocalServiceUtil} to access the trailer local service.
     */

    /**
     * Adds the trailer to the database. Also notifies the appropriate model listeners.
     *
     * @param trailer the trailer
     * @return the trailer that was added
     * @throws SystemException if a system exception occurred
     */
    @Indexable(type = IndexableType.REINDEX)
    @Override
    public Trailer addTrailer(Trailer trailer) throws SystemException {
        trailer.setNew(true);

        return trailerPersistence.update(trailer);
    }

    /**
     * Creates a new trailer with the primary key. Does not add the trailer to the database.
     *
     * @param trailerId the primary key for the new trailer
     * @return the new trailer
     */
    @Override
    public Trailer createTrailer(long trailerId) {
        return trailerPersistence.create(trailerId);
    }

    /**
     * Deletes the trailer with the primary key from the database. Also notifies the appropriate model listeners.
     *
     * @param trailerId the primary key of the trailer
     * @return the trailer that was removed
     * @throws PortalException if a trailer with the primary key could not be found
     * @throws SystemException if a system exception occurred
     */
    @Indexable(type = IndexableType.DELETE)
    @Override
    public Trailer deleteTrailer(long trailerId)
        throws PortalException, SystemException {
        return trailerPersistence.remove(trailerId);
    }

    /**
     * Deletes the trailer from the database. Also notifies the appropriate model listeners.
     *
     * @param trailer the trailer
     * @return the trailer that was removed
     * @throws SystemException if a system exception occurred
     */
    @Indexable(type = IndexableType.DELETE)
    @Override
    public Trailer deleteTrailer(Trailer trailer) throws SystemException {
        return trailerPersistence.remove(trailer);
    }

    @Override
    public DynamicQuery dynamicQuery() {
        Class<?> clazz = getClass();

        return DynamicQueryFactoryUtil.forClass(Trailer.class,
            clazz.getClassLoader());
    }

    /**
     * Performs a dynamic query on the database and returns the matching rows.
     *
     * @param dynamicQuery the dynamic query
     * @return the matching rows
     * @throws SystemException if a system exception occurred
     */
    @Override
    @SuppressWarnings("rawtypes")
    public List dynamicQuery(DynamicQuery dynamicQuery)
        throws SystemException {
        return trailerPersistence.findWithDynamicQuery(dynamicQuery);
    }

    /**
     * Performs a dynamic query on the database and returns a range of the matching rows.
     *
     * <p>
     * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link de.humance.eco.profile.model.impl.TrailerModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
     * </p>
     *
     * @param dynamicQuery the dynamic query
     * @param start the lower bound of the range of model instances
     * @param end the upper bound of the range of model instances (not inclusive)
     * @return the range of matching rows
     * @throws SystemException if a system exception occurred
     */
    @Override
    @SuppressWarnings("rawtypes")
    public List dynamicQuery(DynamicQuery dynamicQuery, int start, int end)
        throws SystemException {
        return trailerPersistence.findWithDynamicQuery(dynamicQuery, start, end);
    }

    /**
     * Performs a dynamic query on the database and returns an ordered range of the matching rows.
     *
     * <p>
     * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link de.humance.eco.profile.model.impl.TrailerModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
     * </p>
     *
     * @param dynamicQuery the dynamic query
     * @param start the lower bound of the range of model instances
     * @param end the upper bound of the range of model instances (not inclusive)
     * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
     * @return the ordered range of matching rows
     * @throws SystemException if a system exception occurred
     */
    @Override
    @SuppressWarnings("rawtypes")
    public List dynamicQuery(DynamicQuery dynamicQuery, int start, int end,
        OrderByComparator orderByComparator) throws SystemException {
        return trailerPersistence.findWithDynamicQuery(dynamicQuery, start,
            end, orderByComparator);
    }

    /**
     * Returns the number of rows that match the dynamic query.
     *
     * @param dynamicQuery the dynamic query
     * @return the number of rows that match the dynamic query
     * @throws SystemException if a system exception occurred
     */
    @Override
    public long dynamicQueryCount(DynamicQuery dynamicQuery)
        throws SystemException {
        return trailerPersistence.countWithDynamicQuery(dynamicQuery);
    }

    /**
     * Returns the number of rows that match the dynamic query.
     *
     * @param dynamicQuery the dynamic query
     * @param projection the projection to apply to the query
     * @return the number of rows that match the dynamic query
     * @throws SystemException if a system exception occurred
     */
    @Override
    public long dynamicQueryCount(DynamicQuery dynamicQuery,
        Projection projection) throws SystemException {
        return trailerPersistence.countWithDynamicQuery(dynamicQuery, projection);
    }

    @Override
    public Trailer fetchTrailer(long trailerId) throws SystemException {
        return trailerPersistence.fetchByPrimaryKey(trailerId);
    }

    /**
     * Returns the trailer with the primary key.
     *
     * @param trailerId the primary key of the trailer
     * @return the trailer
     * @throws PortalException if a trailer with the primary key could not be found
     * @throws SystemException if a system exception occurred
     */
    @Override
    public Trailer getTrailer(long trailerId)
        throws PortalException, SystemException {
        return trailerPersistence.findByPrimaryKey(trailerId);
    }

    @Override
    public PersistedModel getPersistedModel(Serializable primaryKeyObj)
        throws PortalException, SystemException {
        return trailerPersistence.findByPrimaryKey(primaryKeyObj);
    }

    /**
     * Returns a range of all the trailers.
     *
     * <p>
     * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link de.humance.eco.profile.model.impl.TrailerModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
     * </p>
     *
     * @param start the lower bound of the range of trailers
     * @param end the upper bound of the range of trailers (not inclusive)
     * @return the range of trailers
     * @throws SystemException if a system exception occurred
     */
    @Override
    public List<Trailer> getTrailers(int start, int end)
        throws SystemException {
        return trailerPersistence.findAll(start, end);
    }

    /**
     * Returns the number of trailers.
     *
     * @return the number of trailers
     * @throws SystemException if a system exception occurred
     */
    @Override
    public int getTrailersCount() throws SystemException {
        return trailerPersistence.countAll();
    }

    /**
     * Updates the trailer in the database or adds it if it does not yet exist. Also notifies the appropriate model listeners.
     *
     * @param trailer the trailer
     * @return the trailer that was updated
     * @throws SystemException if a system exception occurred
     */
    @Indexable(type = IndexableType.REINDEX)
    @Override
    public Trailer updateTrailer(Trailer trailer) throws SystemException {
        return trailerPersistence.update(trailer);
    }

    /**
     * Returns the qualification local service.
     *
     * @return the qualification local service
     */
    public de.humance.eco.profile.service.QualificationLocalService getQualificationLocalService() {
        return qualificationLocalService;
    }

    /**
     * Sets the qualification local service.
     *
     * @param qualificationLocalService the qualification local service
     */
    public void setQualificationLocalService(
        de.humance.eco.profile.service.QualificationLocalService qualificationLocalService) {
        this.qualificationLocalService = qualificationLocalService;
    }

    /**
     * Returns the qualification persistence.
     *
     * @return the qualification persistence
     */
    public QualificationPersistence getQualificationPersistence() {
        return qualificationPersistence;
    }

    /**
     * Sets the qualification persistence.
     *
     * @param qualificationPersistence the qualification persistence
     */
    public void setQualificationPersistence(
        QualificationPersistence qualificationPersistence) {
        this.qualificationPersistence = qualificationPersistence;
    }

    /**
     * Returns the qualification attribute local service.
     *
     * @return the qualification attribute local service
     */
    public de.humance.eco.profile.service.QualificationAttributeLocalService getQualificationAttributeLocalService() {
        return qualificationAttributeLocalService;
    }

    /**
     * Sets the qualification attribute local service.
     *
     * @param qualificationAttributeLocalService the qualification attribute local service
     */
    public void setQualificationAttributeLocalService(
        de.humance.eco.profile.service.QualificationAttributeLocalService qualificationAttributeLocalService) {
        this.qualificationAttributeLocalService = qualificationAttributeLocalService;
    }

    /**
     * Returns the qualification attribute persistence.
     *
     * @return the qualification attribute persistence
     */
    public QualificationAttributePersistence getQualificationAttributePersistence() {
        return qualificationAttributePersistence;
    }

    /**
     * Sets the qualification attribute persistence.
     *
     * @param qualificationAttributePersistence the qualification attribute persistence
     */
    public void setQualificationAttributePersistence(
        QualificationAttributePersistence qualificationAttributePersistence) {
        this.qualificationAttributePersistence = qualificationAttributePersistence;
    }

    /**
     * Returns the qualification attribute definition local service.
     *
     * @return the qualification attribute definition local service
     */
    public de.humance.eco.profile.service.QualificationAttributeDefinitionLocalService getQualificationAttributeDefinitionLocalService() {
        return qualificationAttributeDefinitionLocalService;
    }

    /**
     * Sets the qualification attribute definition local service.
     *
     * @param qualificationAttributeDefinitionLocalService the qualification attribute definition local service
     */
    public void setQualificationAttributeDefinitionLocalService(
        de.humance.eco.profile.service.QualificationAttributeDefinitionLocalService qualificationAttributeDefinitionLocalService) {
        this.qualificationAttributeDefinitionLocalService = qualificationAttributeDefinitionLocalService;
    }

    /**
     * Returns the qualification attribute definition persistence.
     *
     * @return the qualification attribute definition persistence
     */
    public QualificationAttributeDefinitionPersistence getQualificationAttributeDefinitionPersistence() {
        return qualificationAttributeDefinitionPersistence;
    }

    /**
     * Sets the qualification attribute definition persistence.
     *
     * @param qualificationAttributeDefinitionPersistence the qualification attribute definition persistence
     */
    public void setQualificationAttributeDefinitionPersistence(
        QualificationAttributeDefinitionPersistence qualificationAttributeDefinitionPersistence) {
        this.qualificationAttributeDefinitionPersistence = qualificationAttributeDefinitionPersistence;
    }

    /**
     * Returns the qualification attribute definition resource local service.
     *
     * @return the qualification attribute definition resource local service
     */
    public de.humance.eco.profile.service.QualificationAttributeDefinitionResourceLocalService getQualificationAttributeDefinitionResourceLocalService() {
        return qualificationAttributeDefinitionResourceLocalService;
    }

    /**
     * Sets the qualification attribute definition resource local service.
     *
     * @param qualificationAttributeDefinitionResourceLocalService the qualification attribute definition resource local service
     */
    public void setQualificationAttributeDefinitionResourceLocalService(
        de.humance.eco.profile.service.QualificationAttributeDefinitionResourceLocalService qualificationAttributeDefinitionResourceLocalService) {
        this.qualificationAttributeDefinitionResourceLocalService = qualificationAttributeDefinitionResourceLocalService;
    }

    /**
     * Returns the qualification attribute definition resource persistence.
     *
     * @return the qualification attribute definition resource persistence
     */
    public QualificationAttributeDefinitionResourcePersistence getQualificationAttributeDefinitionResourcePersistence() {
        return qualificationAttributeDefinitionResourcePersistence;
    }

    /**
     * Sets the qualification attribute definition resource persistence.
     *
     * @param qualificationAttributeDefinitionResourcePersistence the qualification attribute definition resource persistence
     */
    public void setQualificationAttributeDefinitionResourcePersistence(
        QualificationAttributeDefinitionResourcePersistence qualificationAttributeDefinitionResourcePersistence) {
        this.qualificationAttributeDefinitionResourcePersistence = qualificationAttributeDefinitionResourcePersistence;
    }

    /**
     * Returns the qualification type local service.
     *
     * @return the qualification type local service
     */
    public de.humance.eco.profile.service.QualificationTypeLocalService getQualificationTypeLocalService() {
        return qualificationTypeLocalService;
    }

    /**
     * Sets the qualification type local service.
     *
     * @param qualificationTypeLocalService the qualification type local service
     */
    public void setQualificationTypeLocalService(
        de.humance.eco.profile.service.QualificationTypeLocalService qualificationTypeLocalService) {
        this.qualificationTypeLocalService = qualificationTypeLocalService;
    }

    /**
     * Returns the qualification type persistence.
     *
     * @return the qualification type persistence
     */
    public QualificationTypePersistence getQualificationTypePersistence() {
        return qualificationTypePersistence;
    }

    /**
     * Sets the qualification type persistence.
     *
     * @param qualificationTypePersistence the qualification type persistence
     */
    public void setQualificationTypePersistence(
        QualificationTypePersistence qualificationTypePersistence) {
        this.qualificationTypePersistence = qualificationTypePersistence;
    }

    /**
     * Returns the qualification type resource local service.
     *
     * @return the qualification type resource local service
     */
    public de.humance.eco.profile.service.QualificationTypeResourceLocalService getQualificationTypeResourceLocalService() {
        return qualificationTypeResourceLocalService;
    }

    /**
     * Sets the qualification type resource local service.
     *
     * @param qualificationTypeResourceLocalService the qualification type resource local service
     */
    public void setQualificationTypeResourceLocalService(
        de.humance.eco.profile.service.QualificationTypeResourceLocalService qualificationTypeResourceLocalService) {
        this.qualificationTypeResourceLocalService = qualificationTypeResourceLocalService;
    }

    /**
     * Returns the qualification type resource persistence.
     *
     * @return the qualification type resource persistence
     */
    public QualificationTypeResourcePersistence getQualificationTypeResourcePersistence() {
        return qualificationTypeResourcePersistence;
    }

    /**
     * Sets the qualification type resource persistence.
     *
     * @param qualificationTypeResourcePersistence the qualification type resource persistence
     */
    public void setQualificationTypeResourcePersistence(
        QualificationTypeResourcePersistence qualificationTypeResourcePersistence) {
        this.qualificationTypeResourcePersistence = qualificationTypeResourcePersistence;
    }

    /**
     * Returns the trailer local service.
     *
     * @return the trailer local service
     */
    public de.humance.eco.profile.service.TrailerLocalService getTrailerLocalService() {
        return trailerLocalService;
    }

    /**
     * Sets the trailer local service.
     *
     * @param trailerLocalService the trailer local service
     */
    public void setTrailerLocalService(
        de.humance.eco.profile.service.TrailerLocalService trailerLocalService) {
        this.trailerLocalService = trailerLocalService;
    }

    /**
     * Returns the trailer persistence.
     *
     * @return the trailer persistence
     */
    public TrailerPersistence getTrailerPersistence() {
        return trailerPersistence;
    }

    /**
     * Sets the trailer persistence.
     *
     * @param trailerPersistence the trailer persistence
     */
    public void setTrailerPersistence(TrailerPersistence trailerPersistence) {
        this.trailerPersistence = trailerPersistence;
    }

    /**
     * Returns the trailer type local service.
     *
     * @return the trailer type local service
     */
    public de.humance.eco.profile.service.TrailerTypeLocalService getTrailerTypeLocalService() {
        return trailerTypeLocalService;
    }

    /**
     * Sets the trailer type local service.
     *
     * @param trailerTypeLocalService the trailer type local service
     */
    public void setTrailerTypeLocalService(
        de.humance.eco.profile.service.TrailerTypeLocalService trailerTypeLocalService) {
        this.trailerTypeLocalService = trailerTypeLocalService;
    }

    /**
     * Returns the trailer type persistence.
     *
     * @return the trailer type persistence
     */
    public TrailerTypePersistence getTrailerTypePersistence() {
        return trailerTypePersistence;
    }

    /**
     * Sets the trailer type persistence.
     *
     * @param trailerTypePersistence the trailer type persistence
     */
    public void setTrailerTypePersistence(
        TrailerTypePersistence trailerTypePersistence) {
        this.trailerTypePersistence = trailerTypePersistence;
    }

    /**
     * Returns the trailer user local service.
     *
     * @return the trailer user local service
     */
    public de.humance.eco.profile.service.TrailerUserLocalService getTrailerUserLocalService() {
        return trailerUserLocalService;
    }

    /**
     * Sets the trailer user local service.
     *
     * @param trailerUserLocalService the trailer user local service
     */
    public void setTrailerUserLocalService(
        de.humance.eco.profile.service.TrailerUserLocalService trailerUserLocalService) {
        this.trailerUserLocalService = trailerUserLocalService;
    }

    /**
     * Returns the trailer user persistence.
     *
     * @return the trailer user persistence
     */
    public TrailerUserPersistence getTrailerUserPersistence() {
        return trailerUserPersistence;
    }

    /**
     * Sets the trailer user persistence.
     *
     * @param trailerUserPersistence the trailer user persistence
     */
    public void setTrailerUserPersistence(
        TrailerUserPersistence trailerUserPersistence) {
        this.trailerUserPersistence = trailerUserPersistence;
    }

    /**
     * Returns the vehicle local service.
     *
     * @return the vehicle local service
     */
    public de.humance.eco.profile.service.VehicleLocalService getVehicleLocalService() {
        return vehicleLocalService;
    }

    /**
     * Sets the vehicle local service.
     *
     * @param vehicleLocalService the vehicle local service
     */
    public void setVehicleLocalService(
        de.humance.eco.profile.service.VehicleLocalService vehicleLocalService) {
        this.vehicleLocalService = vehicleLocalService;
    }

    /**
     * Returns the vehicle persistence.
     *
     * @return the vehicle persistence
     */
    public VehiclePersistence getVehiclePersistence() {
        return vehiclePersistence;
    }

    /**
     * Sets the vehicle persistence.
     *
     * @param vehiclePersistence the vehicle persistence
     */
    public void setVehiclePersistence(VehiclePersistence vehiclePersistence) {
        this.vehiclePersistence = vehiclePersistence;
    }

    /**
     * Returns the vehicle attribute local service.
     *
     * @return the vehicle attribute local service
     */
    public de.humance.eco.profile.service.VehicleAttributeLocalService getVehicleAttributeLocalService() {
        return vehicleAttributeLocalService;
    }

    /**
     * Sets the vehicle attribute local service.
     *
     * @param vehicleAttributeLocalService the vehicle attribute local service
     */
    public void setVehicleAttributeLocalService(
        de.humance.eco.profile.service.VehicleAttributeLocalService vehicleAttributeLocalService) {
        this.vehicleAttributeLocalService = vehicleAttributeLocalService;
    }

    /**
     * Returns the vehicle attribute persistence.
     *
     * @return the vehicle attribute persistence
     */
    public VehicleAttributePersistence getVehicleAttributePersistence() {
        return vehicleAttributePersistence;
    }

    /**
     * Sets the vehicle attribute persistence.
     *
     * @param vehicleAttributePersistence the vehicle attribute persistence
     */
    public void setVehicleAttributePersistence(
        VehicleAttributePersistence vehicleAttributePersistence) {
        this.vehicleAttributePersistence = vehicleAttributePersistence;
    }

    /**
     * Returns the vehicle attribute definition local service.
     *
     * @return the vehicle attribute definition local service
     */
    public de.humance.eco.profile.service.VehicleAttributeDefinitionLocalService getVehicleAttributeDefinitionLocalService() {
        return vehicleAttributeDefinitionLocalService;
    }

    /**
     * Sets the vehicle attribute definition local service.
     *
     * @param vehicleAttributeDefinitionLocalService the vehicle attribute definition local service
     */
    public void setVehicleAttributeDefinitionLocalService(
        de.humance.eco.profile.service.VehicleAttributeDefinitionLocalService vehicleAttributeDefinitionLocalService) {
        this.vehicleAttributeDefinitionLocalService = vehicleAttributeDefinitionLocalService;
    }

    /**
     * Returns the vehicle attribute definition persistence.
     *
     * @return the vehicle attribute definition persistence
     */
    public VehicleAttributeDefinitionPersistence getVehicleAttributeDefinitionPersistence() {
        return vehicleAttributeDefinitionPersistence;
    }

    /**
     * Sets the vehicle attribute definition persistence.
     *
     * @param vehicleAttributeDefinitionPersistence the vehicle attribute definition persistence
     */
    public void setVehicleAttributeDefinitionPersistence(
        VehicleAttributeDefinitionPersistence vehicleAttributeDefinitionPersistence) {
        this.vehicleAttributeDefinitionPersistence = vehicleAttributeDefinitionPersistence;
    }

    /**
     * Returns the vehicle attribute definition resource local service.
     *
     * @return the vehicle attribute definition resource local service
     */
    public de.humance.eco.profile.service.VehicleAttributeDefinitionResourceLocalService getVehicleAttributeDefinitionResourceLocalService() {
        return vehicleAttributeDefinitionResourceLocalService;
    }

    /**
     * Sets the vehicle attribute definition resource local service.
     *
     * @param vehicleAttributeDefinitionResourceLocalService the vehicle attribute definition resource local service
     */
    public void setVehicleAttributeDefinitionResourceLocalService(
        de.humance.eco.profile.service.VehicleAttributeDefinitionResourceLocalService vehicleAttributeDefinitionResourceLocalService) {
        this.vehicleAttributeDefinitionResourceLocalService = vehicleAttributeDefinitionResourceLocalService;
    }

    /**
     * Returns the vehicle attribute definition resource persistence.
     *
     * @return the vehicle attribute definition resource persistence
     */
    public VehicleAttributeDefinitionResourcePersistence getVehicleAttributeDefinitionResourcePersistence() {
        return vehicleAttributeDefinitionResourcePersistence;
    }

    /**
     * Sets the vehicle attribute definition resource persistence.
     *
     * @param vehicleAttributeDefinitionResourcePersistence the vehicle attribute definition resource persistence
     */
    public void setVehicleAttributeDefinitionResourcePersistence(
        VehicleAttributeDefinitionResourcePersistence vehicleAttributeDefinitionResourcePersistence) {
        this.vehicleAttributeDefinitionResourcePersistence = vehicleAttributeDefinitionResourcePersistence;
    }

    /**
     * Returns the vehicle manufacturer local service.
     *
     * @return the vehicle manufacturer local service
     */
    public de.humance.eco.profile.service.VehicleManufacturerLocalService getVehicleManufacturerLocalService() {
        return vehicleManufacturerLocalService;
    }

    /**
     * Sets the vehicle manufacturer local service.
     *
     * @param vehicleManufacturerLocalService the vehicle manufacturer local service
     */
    public void setVehicleManufacturerLocalService(
        de.humance.eco.profile.service.VehicleManufacturerLocalService vehicleManufacturerLocalService) {
        this.vehicleManufacturerLocalService = vehicleManufacturerLocalService;
    }

    /**
     * Returns the vehicle manufacturer persistence.
     *
     * @return the vehicle manufacturer persistence
     */
    public VehicleManufacturerPersistence getVehicleManufacturerPersistence() {
        return vehicleManufacturerPersistence;
    }

    /**
     * Sets the vehicle manufacturer persistence.
     *
     * @param vehicleManufacturerPersistence the vehicle manufacturer persistence
     */
    public void setVehicleManufacturerPersistence(
        VehicleManufacturerPersistence vehicleManufacturerPersistence) {
        this.vehicleManufacturerPersistence = vehicleManufacturerPersistence;
    }

    /**
     * Returns the vehicle type local service.
     *
     * @return the vehicle type local service
     */
    public de.humance.eco.profile.service.VehicleTypeLocalService getVehicleTypeLocalService() {
        return vehicleTypeLocalService;
    }

    /**
     * Sets the vehicle type local service.
     *
     * @param vehicleTypeLocalService the vehicle type local service
     */
    public void setVehicleTypeLocalService(
        de.humance.eco.profile.service.VehicleTypeLocalService vehicleTypeLocalService) {
        this.vehicleTypeLocalService = vehicleTypeLocalService;
    }

    /**
     * Returns the vehicle type persistence.
     *
     * @return the vehicle type persistence
     */
    public VehicleTypePersistence getVehicleTypePersistence() {
        return vehicleTypePersistence;
    }

    /**
     * Sets the vehicle type persistence.
     *
     * @param vehicleTypePersistence the vehicle type persistence
     */
    public void setVehicleTypePersistence(
        VehicleTypePersistence vehicleTypePersistence) {
        this.vehicleTypePersistence = vehicleTypePersistence;
    }

    /**
     * Returns the vehicle type resource local service.
     *
     * @return the vehicle type resource local service
     */
    public de.humance.eco.profile.service.VehicleTypeResourceLocalService getVehicleTypeResourceLocalService() {
        return vehicleTypeResourceLocalService;
    }

    /**
     * Sets the vehicle type resource local service.
     *
     * @param vehicleTypeResourceLocalService the vehicle type resource local service
     */
    public void setVehicleTypeResourceLocalService(
        de.humance.eco.profile.service.VehicleTypeResourceLocalService vehicleTypeResourceLocalService) {
        this.vehicleTypeResourceLocalService = vehicleTypeResourceLocalService;
    }

    /**
     * Returns the vehicle type resource persistence.
     *
     * @return the vehicle type resource persistence
     */
    public VehicleTypeResourcePersistence getVehicleTypeResourcePersistence() {
        return vehicleTypeResourcePersistence;
    }

    /**
     * Sets the vehicle type resource persistence.
     *
     * @param vehicleTypeResourcePersistence the vehicle type resource persistence
     */
    public void setVehicleTypeResourcePersistence(
        VehicleTypeResourcePersistence vehicleTypeResourcePersistence) {
        this.vehicleTypeResourcePersistence = vehicleTypeResourcePersistence;
    }

    /**
     * Returns the vehicle user local service.
     *
     * @return the vehicle user local service
     */
    public de.humance.eco.profile.service.VehicleUserLocalService getVehicleUserLocalService() {
        return vehicleUserLocalService;
    }

    /**
     * Sets the vehicle user local service.
     *
     * @param vehicleUserLocalService the vehicle user local service
     */
    public void setVehicleUserLocalService(
        de.humance.eco.profile.service.VehicleUserLocalService vehicleUserLocalService) {
        this.vehicleUserLocalService = vehicleUserLocalService;
    }

    /**
     * Returns the vehicle user persistence.
     *
     * @return the vehicle user persistence
     */
    public VehicleUserPersistence getVehicleUserPersistence() {
        return vehicleUserPersistence;
    }

    /**
     * Sets the vehicle user persistence.
     *
     * @param vehicleUserPersistence the vehicle user persistence
     */
    public void setVehicleUserPersistence(
        VehicleUserPersistence vehicleUserPersistence) {
        this.vehicleUserPersistence = vehicleUserPersistence;
    }

    /**
     * Returns the counter local service.
     *
     * @return the counter local service
     */
    public com.liferay.counter.service.CounterLocalService getCounterLocalService() {
        return counterLocalService;
    }

    /**
     * Sets the counter local service.
     *
     * @param counterLocalService the counter local service
     */
    public void setCounterLocalService(
        com.liferay.counter.service.CounterLocalService counterLocalService) {
        this.counterLocalService = counterLocalService;
    }

    /**
     * Returns the resource local service.
     *
     * @return the resource local service
     */
    public com.liferay.portal.service.ResourceLocalService getResourceLocalService() {
        return resourceLocalService;
    }

    /**
     * Sets the resource local service.
     *
     * @param resourceLocalService the resource local service
     */
    public void setResourceLocalService(
        com.liferay.portal.service.ResourceLocalService resourceLocalService) {
        this.resourceLocalService = resourceLocalService;
    }

    /**
     * Returns the user local service.
     *
     * @return the user local service
     */
    public com.liferay.portal.service.UserLocalService getUserLocalService() {
        return userLocalService;
    }

    /**
     * Sets the user local service.
     *
     * @param userLocalService the user local service
     */
    public void setUserLocalService(
        com.liferay.portal.service.UserLocalService userLocalService) {
        this.userLocalService = userLocalService;
    }

    /**
     * Returns the user remote service.
     *
     * @return the user remote service
     */
    public com.liferay.portal.service.UserService getUserService() {
        return userService;
    }

    /**
     * Sets the user remote service.
     *
     * @param userService the user remote service
     */
    public void setUserService(
        com.liferay.portal.service.UserService userService) {
        this.userService = userService;
    }

    /**
     * Returns the user persistence.
     *
     * @return the user persistence
     */
    public UserPersistence getUserPersistence() {
        return userPersistence;
    }

    /**
     * Sets the user persistence.
     *
     * @param userPersistence the user persistence
     */
    public void setUserPersistence(UserPersistence userPersistence) {
        this.userPersistence = userPersistence;
    }

    public void afterPropertiesSet() {
        Class<?> clazz = getClass();

        _classLoader = clazz.getClassLoader();

        PersistedModelLocalServiceRegistryUtil.register("de.humance.eco.profile.model.Trailer",
            trailerLocalService);
    }

    public void destroy() {
        PersistedModelLocalServiceRegistryUtil.unregister(
            "de.humance.eco.profile.model.Trailer");
    }

    /**
     * Returns the Spring bean ID for this bean.
     *
     * @return the Spring bean ID for this bean
     */
    @Override
    public String getBeanIdentifier() {
        return _beanIdentifier;
    }

    /**
     * Sets the Spring bean ID for this bean.
     *
     * @param beanIdentifier the Spring bean ID for this bean
     */
    @Override
    public void setBeanIdentifier(String beanIdentifier) {
        _beanIdentifier = beanIdentifier;
    }

    @Override
    public Object invokeMethod(String name, String[] parameterTypes,
        Object[] arguments) throws Throwable {
        Thread currentThread = Thread.currentThread();

        ClassLoader contextClassLoader = currentThread.getContextClassLoader();

        if (contextClassLoader != _classLoader) {
            currentThread.setContextClassLoader(_classLoader);
        }

        try {
            return _clpInvoker.invokeMethod(name, parameterTypes, arguments);
        } finally {
            if (contextClassLoader != _classLoader) {
                currentThread.setContextClassLoader(contextClassLoader);
            }
        }
    }

    protected Class<?> getModelClass() {
        return Trailer.class;
    }

    protected String getModelClassName() {
        return Trailer.class.getName();
    }

    /**
     * Performs an SQL query.
     *
     * @param sql the sql query
     */
    protected void runSQL(String sql) throws SystemException {
        try {
            DataSource dataSource = trailerPersistence.getDataSource();

            SqlUpdate sqlUpdate = SqlUpdateFactoryUtil.getSqlUpdate(dataSource,
                    sql, new int[0]);

            sqlUpdate.update();
        } catch (Exception e) {
            throw new SystemException(e);
        }
    }
}
